Calculate Forum

Проблемы с Mesa

После перехода на драйвер nvidia при обновлении сложно решить конфликт:

!!! The ebuild selected to satisfy “media-libs/mesa[egl]” has unmet requirements.

  • media-libs/mesa-20.2.4::gentoo USE=“X classic d3d9 dri3 egl gallium gbm gles2 llvm lm-sensors opencl vaapi vulkan wayland xa xvmc zstd -debug -gles1 -osmesa (-selinux) -test -unwind -valgrind -vdpau -vulkan-overlay -zink” ABI_X86=“32 (64) (-x32)” VIDEO_CARDS="(-freedreno) -i915 -i965 -intel -iris (-lima) -nouveau (-panfrost) -r100 -r200 -r300 -r600 -radeon -radeonsi (-v3d) (-vc4) -virgl (-vivante) -vmware"

    The following REQUIRED_USE flag constraints are unsatisfied:
    d3d9? ( any-of ( video_cards_iris video_cards_r300 video_cards_r600 video_cards_radeonsi video_cards_nouveau video_cards_vmware ) )

    The above constraints are a subset of the following complete expression:
    d3d9? ( dri3 any-of ( video_cards_iris video_cards_r300 video_cards_r600 video_cards_radeonsi video_cards_nouveau video_cards_vmware ) ) gles1? ( egl ) gles2? ( egl ) vulkan? ( dri3 video_cards_radeonsi? ( llvm ) ) vulkan-overlay? ( vulkan ) wayland? ( egl gbm ) video_cards_freedreno? ( gallium ) video_cards_intel? ( classic ) video_cards_i915? ( any-of ( classic gallium ) ) video_cards_i965? ( classic ) video_cards_iris? ( gallium ) video_cards_lima? ( gallium ) video_cards_nouveau? ( any-of ( classic gallium ) ) video_cards_panfrost? ( gallium ) video_cards_radeon? ( any-of ( classic gallium ) gallium? ( x86? ( llvm ) amd64? ( llvm ) ) ) video_cards_r100? ( classic ) video_cards_r200? ( classic ) video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) ) video_cards_r600? ( gallium ) video_cards_radeonsi? ( gallium llvm ) video_cards_v3d? ( gallium ) video_cards_vc4? ( gallium ) video_cards_virgl? ( gallium ) video_cards_vivante? ( gallium gbm ) video_cards_vmware? ( gallium ) xa? ( X ) xvmc? ( X ) zink? ( gallium vulkan )

© 2007-2020 Calculate Ltd.
Mastodon Mastodon